Skip to main content
GET
List tasks in a space

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme

Path Parameters

space_id
string
required

Query Parameters

archived
boolean
scheduled
boolean
limit
integer
default:300

How many results to return at most. has_more tells you whether another page exists.

offset
integer
default:0

If there are more results than the limit, offset can be used to get to the next batch of results

sort_by
string
default:created_at

Name of the field used for sorting, such as created_at, updated_at or activity_at.

sort_order
enum<string>
default:asc

Should the results be sorted in ascending or descending order relative to sort_by field

Available options:
asc,
desc
created_by
string

Exact match on the user ID of the task creator

priority
string

Exact match on priority; comma-separated values to filter by priority

status
string

Exact match on status; comma-separated values to filter by multiple statuses

title
string

Term search on task title

assignees
string

Comma-separated assignee IDs; at least one must match

reporter
string
created_at
string

Filter by creation date. Use a single date or a range as {start_date},{end_date}

updated_at
string

Filter by last-updated date. Use a single date or a range as {start_date},{end_date}

scheduled_at
string

Filter by scheduled date. Use a single date or a range as {start_date},{end_date}

external_id
string

Exact match.

Response

List of tasks

results
object[]
results_total
integer

Number of results on this page. It is not a total across pages.

has_more
boolean

True when another page exists. Left out when false.